[openssh-commits] [openssh] 02/02: upstream commit

git+noreply at mindrot.org git+noreply at mindrot.org
Tue Sep 26 16:56:35 AEST 2017


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 6a9481258a77b0b54b2a313d1761c87360c5f1f5
Author: markus at openbsd.org <markus at openbsd.org>
Date:   Thu Sep 21 19:18:12 2017 +0000

    upstream commit
    
    test reverse dynamic forwarding with SOCKS
    
    Upstream-Regress-ID: 95cf290470f7e5e2f691e4bc6ba19b91eced2f79
---
 regress/dynamic-forward.sh | 71 ++++++++++++++++++++++++----------------------
 1 file changed, 37 insertions(+), 34 deletions(-)

diff --git a/regress/dynamic-forward.sh b/regress/dynamic-forward.sh
index 2c176b69..84f8ee19 100644
--- a/regress/dynamic-forward.sh
+++ b/regress/dynamic-forward.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: dynamic-forward.sh,v 1.12 2017/04/30 23:34:55 djm Exp $
+#	$OpenBSD: dynamic-forward.sh,v 1.13 2017/09/21 19:18:12 markus Exp $
 #	Placed in the Public Domain.
 
 tid="dynamic forwarding"
@@ -17,42 +17,45 @@ trace "will use ProxyCommand $proxycmd"
 
 start_sshd
 
-n=0
-error="1"
-trace "start dynamic forwarding, fork to background"
-while [ "$error" -ne 0 -a "$n" -lt 3 ]; do
-	n=`expr $n + 1`
-	${SSH} -F $OBJ/ssh_config -f -D $FWDPORT -q \
-	    -oExitOnForwardFailure=yes somehost exec sh -c \
-		\'"echo \$\$ > $OBJ/remote_pid; exec sleep 444"\'
-	error=$?
+for d in D R; do
+	n=0
+	error="1"
+	trace "start dynamic forwarding, fork to background"
+
+	while [ "$error" -ne 0 -a "$n" -lt 3 ]; do
+		n=`expr $n + 1`
+		${SSH} -F $OBJ/ssh_config -f -$d $FWDPORT -q \
+		    -oExitOnForwardFailure=yes somehost exec sh -c \
+			\'"echo \$\$ > $OBJ/remote_pid; exec sleep 444"\'
+		error=$?
+		if [ "$error" -ne 0 ]; then
+			trace "forward failed attempt $n err $error"
+			sleep $n
+		fi
+	done
 	if [ "$error" -ne 0 ]; then
-		trace "forward failed attempt $n err $error"
-		sleep $n
+		fatal "failed to start dynamic forwarding"
 	fi
-done
-if [ "$error" -ne 0 ]; then
-	fatal "failed to start dynamic forwarding"
-fi
 
-for s in 4 5; do
-    for h in 127.0.0.1 localhost; do
-	trace "testing ssh socks version $s host $h"
-	${SSH} -F $OBJ/ssh_config \
-		-o "ProxyCommand ${proxycmd}${s} $h $PORT" \
-		somehost cat ${DATA} > ${COPY}
-	test -f ${COPY}	 || fail "failed copy ${DATA}"
-	cmp ${DATA} ${COPY} || fail "corrupted copy of ${DATA}"
-    done
-done
+	for s in 4 5; do
+	    for h in 127.0.0.1 localhost; do
+		trace "testing ssh socks version $s host $h (-$d)"
+		${SSH} -F $OBJ/ssh_config \
+			-o "ProxyCommand ${proxycmd}${s} $h $PORT" \
+			somehost cat ${DATA} > ${COPY}
+		test -f ${COPY}	 || fail "failed copy ${DATA}"
+		cmp ${DATA} ${COPY} || fail "corrupted copy of ${DATA}"
+	    done
+	done
 
-if [ -f $OBJ/remote_pid ]; then
-	remote=`cat $OBJ/remote_pid`
-	trace "terminate remote shell, pid $remote"
-	if [ $remote -gt 1 ]; then
-		kill -HUP $remote
+	if [ -f $OBJ/remote_pid ]; then
+		remote=`cat $OBJ/remote_pid`
+		trace "terminate remote shell, pid $remote"
+		if [ $remote -gt 1 ]; then
+			kill -HUP $remote
+		fi
+	else
+		fail "no pid file: $OBJ/remote_pid"
 	fi
-else
-	fail "no pid file: $OBJ/remote_pid"
-fi
 
+done

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list